package de.frajul.endlessroll.entities.shapes;

import android.content.Context;

import de.frajul.endlessroll.R;
import de.frajul.endlessroll.levels.LevelManager;

/**
 * Created by Julian on 30.10.2017.
 */

public class CompleteWorldTask extends Task {

    public CompleteWorldTask(int condition) {
        super(condition);
    }

    @Override
    protected boolean checkConditionFulfilled(LevelManager levelManager) {
        return levelManager.getPackWithId(condition).isAllLevelsFinished();
    }

    @Override
    public String toString(Context context, LevelManager levelManager) {
        return context.getString(R.string.task_complete_world_format_d, condition);
    }
}
